> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/messages.md).

# Messages Settings

```swift
.setMessageSettings(
    waitMessage: String?, 
    fitTheDocumentMessage: String?, 
    verifyingQualityMessage: String?, 
    lowQualityDocumentMessage: String?, 
    uploadingImageMessage: String?, 
    popupDocumentSubtitleMessage: String?, 
    unsupportedDocumentMessage: String?, 
    wrongDocumentMessage: String?, 
    sensorLuminosityMessage: String?, 
    sensorOrientationMessage: String?, 
    sensorStabilityMessage: String?, 
    predictorScanDocumentMessage: String?, 
    predictorGetCloserMessage: String?, 
    predictorCentralizeMessage: String?,
    predictorMoveAwayMessage: String?, 
    predictorAlignDocumentMessage: String?, 
    predictorTurnDocumentMessage: String?, 
    predictorCapturedMessage: String?
)
```

| Attribute                               | Description                                                                                     | Default Value                                                                                 |
| --------------------------------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| `waitMessage: String`                   | Message displayed when the SDK is in the process of opening.                                    | "Please Wait…"                                                                                |
| `fitTheDocumentMessage: String`         | Message advising to fit the document to the mask.                                               | "Fit the document on the markup"                                                              |
| `verifyingQualityMessage: String`       | Message displayed when the SDK makes a request to the backend, verifying quality.               | "Checking Quality…"                                                                           |
| `lowQualityDocumentMessage: String`     | Message displayed when the quality of the capture fails.                                        | "Ops, could not read the information. Please try again"                                       |
| `uploadingImageMessage: String`         | Message displayed when there is no quality check and the capture is being saved on the servers. | "Sending Image…"                                                                              |
| `popupDocumentSubtitleMessage: String`  | Text displayed in the step initialization popup.                                                | "Dispose the document in a desk, centralize it on the markup and hold the automatic capture." |
| `unsupportedDocumentMessage: String`    | Message displayed when an unexpected type of document is displayed for capture.                 | "Ops, it seems that this document is not supported. Contact us!"                              |
| `wrongDocumentMessage: String`          | Message displayed when the document is displayed in a different stream than expected.           | "Oops, this document is not the %@"                                                           |
| `sensorLuminosityMessage: String`       | Message displayed when the brightness threshold is lower than expected.                         | "Area near you is too dark"                                                                   |
| `sensorOrientationMessage: String`      | Message displayed when the orientation threshold is lower than expected.                        | "The device is not on the horizontal"                                                         |
| `sensorStabilityMessage: String`        | Message displayed when the device stability threshold is not met.                               | "Keep the device still"                                                                       |
| `predictorScanDocumentMessage: String`  | Message displayed to request a document to be present on the camera.                            | "Scan a document"                                                                             |
| `predictorGetCloserMessage: String`     | Message displayed to request to get closer to the document.                                     | "Get closer to the document"                                                                  |
| `predictorCentralizeMessage: String`    | Message displayed to request to center the document.                                            | "Center the document"                                                                         |
| `predictorMoveAwayMessage: String`      | Message displayed to request to move away from the document.                                    | "Move away from the document"                                                                 |
| `predictorAlignDocumentMessage: String` | Message displayed to request to align the document.                                             | "Align the document"                                                                          |
| `predictorTurnDocumentMessage: String`  | Message displayed to request to turn the document 90 degrees.                                   | "Turn the document 90 degrees"                                                                |
| `predictorCapturedMessage: String`      | Message displayed to alert that the document was captured.                                      | "Document captured"                                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/messages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
